## opennebula 4.12.3+dfsg

=== SConstruct ===
# -------------------------------------------------------------------------- #
# Copyright 2002-2015, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

import os
import sys
import shutil
sys.path.append("./share/scons")
from lex_bison import *

# This is the absolute path where the project is located
cwd=os.getcwd()

# Environment that will be applied to each scons child
main_env=Environment()
main_env['ENV']['PATH']=os.environ['PATH']

# snippet borrowed from http://dev.gentoo.org/~vapier/scons-blows.txt
# makes scons aware of build related environment variables
if os.environ.has_key('CC'):
    main_env['CC'] = os.environ['CC']
if os.environ.has_key('CFLAGS'):
    main_env['CCFLAGS'] += SCons.Util.CLVar(os.environ['CFLAGS'])
if os.environ.has_key('CXX'):
    main_env['CXX'] = os.environ['CXX']
if os.environ.has_key('CXXFLAGS'):
    main_env['CXXFLAGS'] += SCons.Util.CLVar(os.environ['CXXFLAGS'])
if os.environ.has_key('LDFLAGS'):
    main_env['LINKFLAGS'] += SCons.Util.CLVar(os.environ['LDFLAGS'])
else:
    os.environ['LDFLAGS']=""

# Add builders for flex and bison
add_lex(main_env)
add_bison(main_env)

# Include dirs
main_env.Append(CPPPATH=[
    cwd+'/include',
])

# Library dirs
main_env.Append(LIBPATH=[
    cwd+'/src/common',
    cwd+'/src/log',
    cwd+'/src/sql',
    cwd+'/src/host',
    cwd+'/src/cluster',
    cwd+'/src/datastore',
    cwd+'/src/group',
    cwd+'/src/mad',
    cwd+'/src/nebula',
    cwd+'/src/pool',
    cwd+'/src/template',
    cwd+'/src/vm',
    cwd+'/src/vm_template',
    cwd+'/src/vmm',
    cwd+'/src/lcm',
    cwd+'/src/tm',
    cwd+'/src/dm',
    cwd+'/src/im',
    cwd+'/src/image',
    cwd+'/src/rm',
    cwd+'/src/vnm',
    cwd+'/src/hm',
    cwd+'/src/um',
    cwd+'/src/authm',
    cwd+'/src/acl',
    cwd+'/src/xml',
    cwd+'/src/document',
    cwd+'/src/zone',
    cwd+'/src/client',
    cwd+'/src/secgroup',
    cwd+'/src/vdc',
])

# Compile flags
main_env.Append(CPPFLAGS=[
    "-g",
    "-Wall"
])

# Linking flags
main_env.Append(LINKFLAGS=['-g', '-pthread'])

#######################
# EXTRA CONFIGURATION #
#######################

# SQLITE
sqlite_dir=ARGUMENTS.get('sqlite_dir', 'none')
if sqlite_dir!='none':
    main_env.Append(LIBPATH=[sqlite_dir+"/lib", sqlite_dir+"/lib64"])
    main_env.Append(CPPPATH=[sqlite_dir+"/include"])

sqlite=ARGUMENTS.get('sqlite', 'yes')
if sqlite=='yes':
    main_env.Append(sqlite='yes')
    main_env.Append(CPPFLAGS=["-DSQLITE_DB"])
    main_env.Append(LIBS=['sqlite3'])
else:
    main_env.Append(sqlite='no')

# MySQL
mysql=ARGUMENTS.get('mysql', 'no')
if mysql=='yes':
    main_env.Append(mysql='yes')
    main_env.Append(CPPFLAGS=["-DMYSQL_DB"])
    main_env.Append(LIBS=['mysqlclient'])
else:
    main_env.Append(mysql='no')

# Flag to compile with xmlrpc-c versions prior to 1.31 (September 2012)
new_xmlrpc=ARGUMENTS.get('new_xmlrpc', 'no')
if new_xmlrpc=='yes':
    main_env.Append(new_xmlrpc='yes')
else:
    main_env.Append(new_xmlrpc='no')
    main_env.Append(CPPFLAGS=["-DOLD_XMLRPC"])

# SysLog
syslog=ARGUMENTS.get('syslog', 'no')
if syslog=='yes':
    main_env.Append(syslog='yes')
    main_env.Append(CPPFLAGS=["-DSYSLOG_LOG"])
    main_env.Append(LIBS=['pthread','log4cpp'])
else:
    main_env.Append(syslog='no')

# xmlrpc
xmlrpc_dir=ARGUMENTS.get('xmlrpc', 'none')
if xmlrpc_dir!='none':
    main_env.Append(LIBPATH=[xmlrpc_dir+"/lib", xmlrpc_dir+"/lib64"])
    main_env.Append(CPPPATH=[xmlrpc_dir+"/include"])

# build lex/bison
build_parsers=ARGUMENTS.get('parsers', 'no')
if build_parsers=='yes':
    main_env.Append(parsers='yes')
else:
    main_env.Append(parsers='no')

# Rubygem generation
main_env.Append(rubygems=ARGUMENTS.get('rubygems', 'no'))

if not main_env.GetOption('clean'):
    try:
        if mysql=='yes':
            main_env.ParseConfig('mysql_config --cflags --libs')
    except Exception, e:
        print ""
        print "mysql_config was not found in the path"
        print ""
        print "Check that mysql development package is installed and"
        print "mysql_config is in the path. If your mysql config tool"
        print "is called mysql5_config make a symlink as mysql_config"
        print "to a directory in the path."
        print ""
        exit(-1)


    try:
        main_env.ParseConfig(("LDFLAGS='%s' share/scons/get_xmlrpc_config"+
            " server") % (os.environ['LDFLAGS'],))
        main_env.ParseConfig(("LDFLAGS='%s' share/scons/get_xmlrpc_config"+
            " client") % (os.environ['LDFLAGS'],))

    except Exception, e:
        print ""
        print "Error searching for xmlrpc-c libraries. Please check this"+\
            " things:"
        print ""
        print " * You have installed development libraries for xmlrpc-c. One"+\
            " way to check"
        print "   this is calling xmlrpc-c-config that is provided with the"+\
            " development"
        print "   package."
        print " * Check that the version of xmlrpc-c is at least 1.06. You"+\
            " can do this also"
        print "   calling:"
        print "   $ xmlrpc-c-config --version"
        print " * If all this requirements are already met please send log"+\
            " files located in"
        print "   .xmlrpc_test to the mailing list."
        print ""
        exit(-1)
else:
    main_env.Replace(mysql='yes')
    shutil.rmtree('.xmlrpc_test', True)
    shutil.rmtree('src/nebula/.xmlrpc_test', True)
    shutil.rmtree('src/scheduler/.xmlrpc_test', True)


# libxml2
main_env.ParseConfig('xml2-config --libs --cflags')


# SCONS scripts to build
build_scripts=[
    'src/sql/SConstruct',
    'src/log/SConstruct',
    'src/common/SConstruct',
    'src/template/SConstruct',
    'src/host/SConstruct',
    'src/cluster/SConstruct',
    'src/datastore/SConstruct',
    'src/group/SConstruct',
    'src/mad/SConstruct',
    'src/mad/utils/SConstruct',
    'src/nebula/SConstruct',
    'src/pool/SConstruct',
    'src/vm/SConstruct',
    'src/vm_template/SConstruct',
    'src/vmm/SConstruct',
    'src/lcm/SConstruct',
    'src/rm/SConstruct',
    'src/tm/SConstruct',
    'src/im/SConstruct',
    'src/image/SConstruct',
    'src/dm/SConstruct',
    'src/scheduler/SConstruct',
    'src/vnm/SConstruct',
    'src/hm/SConstruct',
    'src/um/SConstruct',
    'src/authm/SConstruct',
    'src/acl/SConstruct',
    'src/xml/SConstruct',
    'src/document/SConstruct',
    'src/zone/SConstruct',
    'src/secgroup/SConstruct',
    'src/vdc/SConstruct',
    'share/man/SConstruct',
    'src/sunstone/locale/languages/SConstruct',
    'share/rubygems/SConstruct',
    'src/im_mad/collectd/SConstruct',
    'src/client/SConstruct'
]

for script in build_scripts:
    env=main_env.Clone()
    SConscript(script, exports='env')

=== share/man/SConstruct ===
# SConstruct for share/man

# -------------------------------------------------------------------------- #
# Copyright 2002-2015, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

gzip_bld = Builder(action = 'gzip -c $SOURCE > $TARGET',
                   suffix = '.1.gz',
                   src_suffix = '.1')

env.Append(BUILDERS = {'Man' : gzip_bld})

env.Man('econe-allocate-address')
env.Man('econe-associate-address')
env.Man('econe-attach-volume')
env.Man('econe-create-keypair')
env.Man('econe-create-volume')
env.Man('econe-delete-keypair')
env.Man('econe-delete-volume')
env.Man('econe-describe-addresses')
env.Man('econe-describe-images')
env.Man('econe-describe-instances')
env.Man('econe-describe-keypairs')
env.Man('econe-describe-volumes')
env.Man('econe-detach-volume')
env.Man('econe-disassociate-address')
env.Man('econe-reboot-instances')
env.Man('econe-register')
env.Man('econe-release-address')
env.Man('econe-run-instances')
env.Man('econe-start-instances')
env.Man('econe-stop-instances')
env.Man('econe-terminate-instances')
env.Man('econe-upload')

env.Man('oneacct')
env.Man('oneshowback')
env.Man('oneacl')
env.Man('onecluster')
env.Man('onedatastore')
env.Man('onedb')
env.Man('onehost')
env.Man('oneimage')
env.Man('onetemplate')
env.Man('oneuser')
env.Man('onevm')
env.Man('onevnet')
env.Man('onegroup')
env.Man('onezone')
env.Man('onevcenter')
env.Man('onesecgroup')
env.Man('onevdc')

env.Man('oneflow')
env.Man('oneflow-template')

=== share/rubygems/SConstruct ===
# SConstruct for share/scripts/rubygems

# -------------------------------------------------------------------------- #
# Copyright 2002-2015, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

import os

Import('env')

if env['rubygems']=='yes':
    print "Generating rubygems packages\n"
    exit_code=os.system("./generate")

    if exit_code != 0:
        print "Error generating rubygem packages\n"
        exit(-1)

=== src/acl/SConstruct ===
# SConstruct for src/authm

# -------------------------------------------------------------------------- #
# Copyright 2002-2015, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_acl'

# Sources to generate the library
source_files=[
    'AclManager.cc',
    'AclRule.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/authm/SConstruct ===
# SConstruct for src/authm

# -------------------------------------------------------------------------- #
# Copyright 2002-2015, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_authm'

# Sources to generate the library
source_files=[
    'AuthManager.cc',
    'AuthManagerDriver.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/client/SConstruct ===
# SConstruct for src/pool

# -------------------------------------------------------------------------- #
# Copyright 2002-2015, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_client'

source_files=['Client.cc']

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/cluster/SConstruct ===
# SConstruct for src/group

# -------------------------------------------------------------------------- #
# Copyright 2002-2015, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_cluster'

# Sources to generate the library
source_files=[
    'ClusterPool.cc',
    'Cluster.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/common/SConstruct ===
# SConstruct for src/common

# -------------------------------------------------------------------------- #
# Copyright 2002-2015, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_common'

# Sources to generate the library
source_files=[
    'ActionManager.cc',
    'Attribute.cc',
    'mem_collector.c',
    'NebulaUtil.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/datastore/SConstruct ===
# SConstruct for src/datastore

# -------------------------------------------------------------------------- #
# Copyright 2002-2015, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_datastore'

# Sources to generate the library
source_files=[
    'DatastorePool.cc',
    'Datastore.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/dm/SConstruct ===
# SConstruct for src/vm

# -------------------------------------------------------------------------- #
# Copyright 2002-2015, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_dm'

# Sources to generate the library
source_files=[
    'DispatchManager.cc',
    'DispatchManagerActions.cc',
    'DispatchManagerStates.cc',
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/document/SConstruct ===
# SConstruct for src/document

# -------------------------------------------------------------------------- #
# Copyright 2002-2015, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_document'

# Sources to generate the library
source_files=[
    'Document.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/group/SConstruct ===
# SConstruct for src/group

# -------------------------------------------------------------------------- #
# Copyright 2002-2015, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_group'

# Sources to generate the library
source_files=[
    'GroupPool.cc',
    'Group.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== debian/changelog ===
opennebula (4.12.3+dfsg-3build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:48:29 +0000

opennebula (4.12.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * rules: fixed FTBFS on binary-only build.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 18 Aug 2015 19:23:08 +1000

opennebula (4.12.3+dfsg-2) unstable; urgency=low

  * Team upload.

  [ Olivier Berger ]
  * sunstone: added "ruby-builder" to Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 18 Aug 2015 17:38:41 +1000

opennebula (4.12.3+dfsg-1) unstable; urgency=low

  * Team upload.

  [ Dmitry Smirnov ]
  * New upstream release [June 2015] (Closes: #684947, #688913, #700926).
  * Fixed Sunstone startup issues and dependencies (Closes: #743369).
  * opennebula-sunstone/Recommends += "opennebula" (Closes: #709020).
  * Added "debian/missing-sources" and symlinks (Closes: #720038, #737446).
  * opennebula: logrotate (Closes: #726422).
  * New binary packages [opennebula-gate,opennebula-flow].
  * "debian/orig-tar.sh" replaced with copyright/Files-Excluded.
  * java: fixed classpath and ${java:Depends}.
  * opennebula-node: set-up "/var/lib/one/vms" to allow VMS deployment.
  * Don't install scripts to "/var/lib/one/remotes"; make compatibility symlink.
  * Documented some upstream bugs in "debian/BUGS" file.
  * README:
    + added link to release notes.
    + added useful links to Wiki.
  * Modernised packaging (DH/compat to version 9); cleanup.
    + added "debian/gbp.conf".
    + better clean-up after purge.
  * Added new lintian-overrides; dropped obsolete ones.
  * copyright: full review and update.
  * watch:
    + check GitHub for releases.
    + added mangles, repacksuffix.
  * dh-linktree + unbundle [fonts-font-awesome,novnc,websockify,libjs-excanvas].
  * dh-systemd + systemd services.
  * init.d:
    + added "opennebula-novnc.init".
    + declare order/priorities.
    + introduced "status" support (LSB compliance/lintianisation).
    + [flow,sunstone]: delay start in absence of auth files.
  * init.d,postinst: changed group "cloud" --> "oneadmin".
  * Don't use bash-completion deb-helper.
  * .maintscript: remove old conffiles.
  * .postinst:
    + common: suppress "usermod: no changes" warning.
    + fixed permissions.
    + always set HOME owner, not only when user's HOME is created
      to recover from situations when HOME exist with incorrect permissions.
    + tighten permissions on ".ssh"
    + clear dpkg-statoverrides.
    + silence dpkg-statoverride.
    - drop dpkg-statoverrides in favour of ch{own|mod}.
  * rules:
    + improved dh_(auto_)clean overrides.
    + re-build "app.css" with `sass`.
    + build with full hardening.
    + un-minify some files.
    + remove empty dirs.
  * control:
    + updated Vcs-Browser URL.
    + update Breaks/Replaces.
    + re-ordering.
    + Standards-Version: 3.9.6.
  * Build-Depends:
    - bash-completion
    + dh-linktree
    +   fonts-font-awesome
    +   novnc
    +   websockify
    + dh-systemd
    + ruby-sass
    ✓ removed unnecessary versioning.
  * opennebula-node/Depends: replaced transitional "libvirt-bin" with
    "libvirt-daemon-system".
  * ruby-opennebula/Depends += "ruby-nokogiri" (needed by novnc).
  * opennebula-sunstone/Depends: removed "opennebula-common".
  * opennebula-sunstone/Recommends: added commented "ruby-zendesk_api".
  * opennebula/Depends:
    + iptables
    + ipset
    + ruby | ruby-interpreter
      (ruby-script-but-no-ruby-dep)
  * ruby-opennebula/Recommends:
    + ruby-curb
    + ruby-uuidtools
    + ruby-net-ldap
    + ruby-ox
  * Patchworks:
    - gcc_4_7_ftbfs.diff
    - java_oca_for_341.diff
    - linking.diff
    - node_creation_help.diff
    - novnc_path.diff (replaced with symlink)
    - occi_system_jquery.diff
    - occi_usr_share.diff
    - opennebulajson_path.diff
    - ozones_system_jquery.diff
    - ozones_usr_share.diff
    - sunstone_system_jquery.diff
    - sunstone_usr_share.diff
    + 0-correct-shebang.diff
    + build-reproducible.diff
      (to remove timestamps from generated HTML files and man pages)
    + manpages-adjust.diff
    + manpages.diff (fixes "manpage-has-bad-whatis-entry")
    ✓ no_default_arch.diff (rebased/refreshed)
    ✓ ssh_pubkey_info.diff (rebased/refreshed)

  [ Olivier Berger ]
  * New patches:
    + hardcodedxmlrpccflags.diff
    + verbosesconsrecipe.diff

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 18 Aug 2015 13:28:56 +1000

opennebula (3.4.1-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix dependency issue with libxmlrpc-c++ (Closes: 762040)

 -- Olivier Berger <obergix@debian.org>  Tue, 21 Jul 2015 15:44:57 +0200

=== debian/control ===
Source: opennebula
Section: utils
Priority: extra
Maintainer: Debian OpenNebula Maintainers <pkg-opennebula-devel@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>,
           Soren Hansen <soren@ubuntu.com>,
           Jaime Melis <j.melis@fdi.ucm.es>
Build-Depends: debhelper (>= 9), dh-systemd, dh-linktree, javahelper
              ,default-jdk
              ,bison
              ,flex
              ,libmysql++-dev
              ,libsqlite3-dev
              ,libssl-dev
              ,libws-commons-util-java
              ,libxml2-dev
              ,libxmlrpc-c++8-dev
              ,libxmlrpc3-client-java (>= 3.1.3-6)
              ,libxmlrpc3-common-java (>= 3.1.3-6)
              ,libxslt1-dev
              ,ruby
              ,ruby-sass
              ,scons
## Unbundled with dh-linktree:
    ,fonts-font-awesome
    ,novnc
    ,websockify
#    ,libjs-excanvas
Standards-Version: 3.9.6
Homepage: http://opennebula.org/
Vcs-Git: git://anonscm.debian.org/pkg-opennebula/opennebula.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opennebula/opennebula.git

Package: opennebula
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
        ,opennebula-tools (= ${source:Version})
        ,ruby | ruby-interpreter
        ,apg
        ,genisoimage
        ,wget
        ,iptables
        ,ipset
Suggests: mysql-server, ruby-amazon-ec2, ruby-aws-sdk, logrotate
Description: controller which executes the OpenNebula cluster services
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package contains OpenNebula Controller which manage all nodes in the
 cloud.

Package: opennebula-sunstone
Architecture: all
Depends: ${misc:Depends}
        ,opennebula-tools (= ${source:Version})
        ,ruby-opennebula (= ${source:Version})
        ,ruby | ruby-interpreter
        ,ruby-json
        ,ruby-sinatra
        ,ruby-rack-protection
        ,thin
        ,ruby-builder
# Unbundled:
    ,libjs-excanvas
Recommends: opennebula (>= ${source:Version})
# not packaged yet:
#          ,ruby-zendesk_api
Replaces: opennebula-tools (<< 4.12.3-1~)
Breaks: opennebula-tools (<< 4.12.3-1~)
Description: web interface to which executes the OpenNebula cluster services
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 OpenNebula Sunstone is the new OpenNebula Cloud Operations Center,
 a GUI intended for users and admins, that will simplify the typical management
 operations in private and hybrid cloud infrastructures. You will be able to
 manage your virtual resources in a similar way as you do with the
 CLI.

Package: opennebula-gate
Architecture: all
Depends: ${misc:Depends}
        ,opennebula-common (= ${source:Version})
        ,ruby-opennebula (= ${source:Version})
        ,ruby-json
        ,ruby-rack
        ,ruby-sinatra
        ,thin
Description: send information to OpenNebula from the Virtual Machines
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 OneGate allows Virtual Machine guests to push monitoring information to
 OpenNebula. Users and administrators can use it to gather metrics, detect
 problems in their applications, and trigger OneFlow auto-scaling rules
 .
 This package provides the server part to enable communication between the
 Virtual Machines and OpenNebula

Package: opennebula-flow
Architecture: all
Depends: ${misc:Depends}
        ,opennebula-common (= ${source:Version})
        ,ruby-opennebula (= ${source:Version})
        ,ruby-json
        ,ruby-parse-cron
        ,ruby-sinatra
        ,ruby-treetop
        ,thin
        ,curl
Description: Manage services
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 OneFlow allows users and administrators to define, execute and manage
 multi-tiered applications, or services composed of interconnected Virtual
 Machines with deployment dependencies between them. Each group of Virtual
 Machines is deployed and managed as a single entity, and is completely
 integrated with the advanced OpenNebula user and group management.
 .
 Benefits:
  * Define multi-tiered applications (services) as collection of applications
  * Manage multi-tiered applications as a single entity
  * Automatic execution of services with dependencies
  * Provide configurable services from a catalog and self-service portal
  * Enable tight, efficient administrative control
  * Fine-grained access control for the secure sharing of services with
    other users
  * Auto-scaling policies based on performance metrics and schedule
 .
 This package provides the server that allows service management.

Package: opennebula-common
Architecture: all
Depends: ${misc:Depends}, adduser, openssh-client
Recommends: lvm2, sudo
Description: empty package to create OpenNebula users and directories
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package sets up the basic directory structure and users needed to run
 an OpenNebula cloud.

Package: opennebula-node
Architecture: all
Depends: ${misc:Depends}
        ,opennebula-common (= ${source:Version})
        ,adduser
        ,libvirt-daemon-system | xen-utils-4.0
Recommends: openssh-server | ssh-server
Description: empty package to prepare a machine as OpenNebula Node
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package prepares the machine for being a node in an OpenNebula
 cloud.

Package: opennebula-tools
Architecture: all
Depends: ${misc:Depends}, ${ruby:Depends}
        ,opennebula-common (= ${source:Version})
        ,ruby-opennebula (= ${source:Version})
        ,ruby | ruby-interpreter
Description: Command-line tools for OpenNebula Cloud
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula CLI.

Package: ruby-opennebula
Section: ruby
Architecture: all
Depends: ${misc:Depends}, ${ruby:Depends}
        ,ruby | ruby-interpreter
        ,ruby-mysql
        ,ruby-nokogiri
        ,ruby-password
        ,ruby-sequel
        ,ruby-sqlite3
Recommends: ruby-uuidtools
           ,ruby-curb
           ,ruby-net-ldap
# ITP: ruby-configparser
# ITP: ruby-softlayer_api
## fast XML parsers:
           ,ruby-ox
Suggests:
# rubi-rbvmomi (RFP#719779)
Replaces: opennebula (<< 4.12.3-1~)
Breaks: opennebula (<< 4.12.3-1~)
Description: Ruby bindings for OpenNebula Cloud API (OCA)
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula Cloud API (OCA) Ruby bindings.

Package: libopennebula-java
Section: java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Java bindings for OpenNebula Cloud API (OCA)
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula Cloud API (OCA) Java bindings.

Package: libopennebula-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: ${java:Recommends}
Description: Java bindings for OpenNebula Cloud API (OCA) - documentation
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the documentation (Javadoc API) and examples for
 OpenNebula Cloud API (OCA) Java bindings.
